<?php 

function load_css()
{
    wp_register_style('font-awesome', 'https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', array(), false, 'all');
    wp_enqueue_style('font-awesome');

    wp_register_style('style1', get_template_directory_uri().'/assets/css/style1.css', array(), false, 'all');
    wp_enqueue_style('style1');

    wp_register_style('style2', get_template_directory_uri().'/assets/css/style2.css', array(), false, 'all');
    wp_enqueue_style('style2');

    wp_register_style('style3', get_template_directory_uri().'/assets/css/style3.css', array(), false, 'all');
    wp_enqueue_style('style3');

    wp_register_style('style4', get_template_directory_uri().'/assets/css/style4.css', array(), false, 'all');
    wp_enqueue_style('style4');

    wp_register_style('style5', get_template_directory_uri().'/assets/css/style5.css', array(), false, 'all');
    wp_enqueue_style('style5');

    wp_register_style('style6', get_template_directory_uri().'/assets/css/style6.css', array(), false, 'all');
    wp_enqueue_style('style6');

    wp_register_style('style7', get_template_directory_uri().'/assets/css/app.css', array(), false, 'all');
    wp_enqueue_style('style7');

    
    
}
add_action('wp_enqueue_scripts', 'load_css');

/* Enqueue script */

function load_js()
{
    wp_enqueue_script('jquery');


    wp_register_script('js1', get_template_directory_uri().'/assets/js/js1.js', array(), false, true);
    wp_enqueue_script('js1');

    wp_register_script('js2', get_template_directory_uri().'/assets/js/js2.js', array(), false, true);
    wp_enqueue_script('js2');

    wp_register_script('js3', get_template_directory_uri().'/assets/js/js3.js', array(), false, true);
    wp_enqueue_script('js3');

    wp_register_script('js4', get_template_directory_uri().'/assets/js/js4.js', array(), false, true);
    wp_enqueue_script('js4');

    wp_register_script('js5', get_template_directory_uri().'/assets/js/js5.js', array(), false, true);
    wp_enqueue_script('js5');

    wp_register_script('js6', get_template_directory_uri().'/assets/js/js6.js', array(), false, true);
    wp_enqueue_script('js6');

    wp_register_script('js7', get_template_directory_uri().'/assets/js/js7.js', array(), false, true);
    wp_enqueue_script('js7');

    wp_register_script('js8', get_template_directory_uri().'/assets/js/js8.js', array(), false, true);
    wp_enqueue_script('js8');

    wp_register_script('js9', get_template_directory_uri().'/assets/js/js9.js', array(), false, true);
    wp_enqueue_script('js9');

    wp_register_script('js10', get_template_directory_uri().'/assets/js/js10.js', array(), false, true);
    wp_enqueue_script('js10');

    wp_register_script('js11', get_template_directory_uri().'/assets/js/js11.js', array(), false, true);
    wp_enqueue_script('js11');

    wp_register_script('js12', get_template_directory_uri().'/assets/js/js12.js', array(), false, true);
    wp_enqueue_script('js12');

    wp_register_script('js13', get_template_directory_uri().'/assets/js/js13.js', array(), false, true);
    wp_enqueue_script('js13');

    wp_register_script('mainjs', get_template_directory_uri().'/assets/js/main.js', array(), false, true);
    wp_enqueue_script('mainjs');

}
add_action('wp_enqueue_scripts', 'load_js');


/* Theme Option */
add_theme_support('menus');
add_theme_support('post-thumbnails');


function gt_init(){
    add_theme_support('title-tag');
    add_theme_support('html5',
    array('comment-list', 'comment-form', 'search-form', 'caption')
);
}
add_action('after_setup_theme', 'gt_init');

function catch_that_image() {

    global $post, $posts;
    
    $first_img = '';
    
    ob_start();
    
    ob_end_clean();
    
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
    
    $first_img = $matches [1] [0];
    
    
    
    if(empty($first_img)){
    
    $first_img = "https://www.vistanaij.com.ng/wp-content/uploads/2022/04/wapforum.jpg";
    
    }
    
    return $first_img;
    
    }

    if ( !function_exists( 'wpex_pagination' ) ) {
    
        function wppagination() {
            
            $prev_arrow = is_rtl() ? 'Prev' : 'Prev';
            $next_arrow = is_rtl() ? 'Next' : 'Next';
            
            global $wp_query;
            $total = $wp_query->max_num_pages;
            $big = 999999999; // need an unlikely integer
            if( $total > 1 )  {
                 if( !$current_page = get_query_var('paged') )
                     $current_page = 1;
                 if( get_option('permalink_structure') ) {
                     $format = 'page/%#%/';
                 } else {
                     $format = '&paged=%#%';
                 }
                echo paginate_links(array(
                    'base'          => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                    'format'        => $format,
                    'current'       => max( 1, get_query_var('paged') ),
                    'total'         => $total,
                    'mid_size'      => 2,
                    'show_all'      => false,
                    'type'          => NAN,
                    'prev_text'     => $prev_arrow,
                 ) );
            }
        }
        
    }
    
    function pagination() {
        global $wp_query;
        $big = 999999999;
        echo paginate_links(array(
            'base' => str_replace($big, '%#%', get_pagenum_link($big)),
            'format' => '?paged=%#%',
            'current' => max(1, get_query_var('paged')),
            'total' => $wp_query->max_num_pages
        ));
    }
    add_action('init', 'pagination');

    /*Menus*/
register_nav_menus(
    array(
        'top-menu' => 'Top Header Menu',
        'category-menu' => 'All Category Menu',
        'videos-menu' => 'Videos Footer Menu',
        'music-menu' => 'Music Footer Menu',
        'meta-menu' => 'Meta Footer Menu',
    )
);

//SET POST VIEW
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count.' Views';
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
// Remove issues with prefetching adding extra views
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);



?>
