<div class="sidebar-box on10show">
<h3 class="box-name">Recent</h3>
<div class="box-content">
<div id="recent-items" class="recent-items">
<ul class="recent-items-toggle">
<li><a href="#recent-threads">Topics</a></li>
<li><a href="#recent-music">Music</a></li>
<li><a href="#recent-videos">Video</a></li>
</ul><div id="recent-threads" class="recent-archive">
<!-- RECEND TOPICS START-->
<?php 
            $args = array(
                'post_type' => 'post',
				'paged' => $paged
            );

            $blogposts = new WP_Query($args);
            while ($blogposts->have_posts()){
            $blogposts->the_post();
            
?>
<div class='row'>
<p class='img'>
<?php if(has_post_thumbnail()):?>
<img src='<?php the_post_thumbnail_url();?>' alt='<?php the_title();?>' class='lazy'>
<?php else: ?>
<img src='<?php echo catch_that_image();?>' alt='<?php the_title();?>' class='lazy'>
<?php endif;?>
</p>
<div class='content'>
<p class='content-name'>
<a title='<?php the_title();?>' href='<?php the_permalink();?>'> <?php the_title();?></a>
</p>
<div class='content-details'>
<span class='fa fa-clock-o'></span> <?php echo get_the_date(); ?> | <span class='fa fa-folder'></span> <?php    $categories = get_the_category();
if ( ! empty( $categories ) ) {
    echo '<a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a>';
} ?></div>
</div></div>
<?php }
            wp_reset_query();
            ?>
<!-- RECEND TOPICS END-->
</div><div id="recent-music" class="recent-archive">

<!-- RECEND MUSIC START-->
<?php
        // the query
        $the_query = new WP_Query(array(
            'category_name' => 'audio',
            'post_status' => 'publish',
            'posts_per_page' => 10,
        ));
        ?>
        <?php if ($the_query->have_posts()) : ?>
            <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
<div class='row'>
<p class='img'>
<?php if(has_post_thumbnail()):?>
<img src='<?php the_post_thumbnail_url();?>' alt='<?php the_title();?>' class='lazy'>
<?php else: ?>
<img src='<?php echo catch_that_image();?>' alt='<?php the_title();?>' class='lazy'>
<?php endif;?>
</p>
<div class='content'>
<p class='content-name'>
<a title='<?php the_title();?>' href='<?php the_permalink();?>'><?php the_title();?></a>
</p>
<div class='content-details'>
<span class='fa fa-clock-o'></span> <?php echo get_the_date(); ?></div>
</div>
</div>
<?php endwhile; ?>
            <?php wp_reset_postdata(); ?>

        <?php else : ?>
            <p><?php __('No Content'); ?></p>
        <?php endif; ?>


</div>
<!-- RECENT MUSIC END-->

<div id="recent-videos" class="recent-archive">
<!-- RECENT VIDEO START-->
<?php
        // the query
        $the_query = new WP_Query(array(
            'category_name' => 'videos',
            'post_status' => 'publish',
            'posts_per_page' => 10,
        ));
        ?>
        <?php if ($the_query->have_posts()) : ?>
            <?php while ($the_query->have_posts()) : $the_query->the_post(); ?>
<div class='row'><p class='img'>
<?php if(has_post_thumbnail()):?>
<img src='<?php the_post_thumbnail_url();?>' alt='<?php the_title();?>' class='lazy'>
<?php else:?>
<img src='<?php echo catch_that_image();?>' alt='<?php the_title();?>' class='lazy'>
<?php endif;?>
</p>
<div class='content'>
<p class='content-name'>
<a title='<?php the_title();?>' href='<?php the_permalink();?>'><?php the_title();?></a>
</p>
<div class='content-details'>
<span class='fa fa-clock-o'></span> <?php echo get_the_date();?></div>
</div></div>
<?php endwhile; ?>
            <?php wp_reset_postdata(); ?>

        <?php else : ?>
            <p><?php __('No Content'); ?></p>
        <?php endif; ?>
<!-- RECEND VIDEO END-->
	</div></div></div></div>